import apaasMap from "./map/index.js"; // 引入组件
import apaasLocation from "./location/index";
import apaasZoom from "./zoom/index";
import apaasHeat from "./heat/index";
import apaasHTML from "./html/index";
import apaasPopup from "./popup/index";
import apaasImage from "./image/index";
import apaasIcon from "./icon/index";
import apaasScale from "./scale/index";
import apaasSwitchMap from "./switchmap/index";
import apaasCoodPickUp from "./coordpickup/index";
import apaasEcharts from "./echarts/index";
import apaasDynamicPath from "./dynamicpath/index";
import apaasLayer from "./layers/index";
import "../assets/styleCSS/index.scss";
const components = [
  apaasMap,
  apaasLocation,
  apaasZoom,
  apaasHeat,
  apaasHTML,
  apaasPopup,
  apaasImage,
  apaasIcon,
  apaasScale,
  apaasSwitchMap,
  apaasCoodPickUp,
  apaasEcharts,
  apaasDynamicPath,
  apaasLayer
];
//'vue-use是调用的install方法'
const install = function(Vue) {
  if (install.installed) return;
  components.map(component => Vue.component(component.name, component));
};

if (typeof window !== "undefined" && window.Vue) {
  debugger;
  console.log("传入参数install方法");
  install(window.Vue);
}

export default {
  install, // 如果在外面使用vue.use的话，就会默认使用install方法
  apaasMap,
  apaasLocation,
  apaasZoom,
  apaasHeat,
  apaasHTML,
  apaasPopup,
  apaasImage,
  apaasIcon,
  apaasScale,
  apaasSwitchMap,
  apaasCoodPickUp,
  apaasEcharts,
  apaasDynamicPath,
  apaasLayer
};
